# originally imported from mandriva

%define _disable_lto 1
%define _disable_rebuild_configure 1
%define _disable_ld_no_undefined 1

Summary:	Molecular Graphics System
Name:		pymol
Version:	1.8.6.0
Release:	%mkrel 1
License:	Python license
Group:		Sciences/Chemistry
URL:		http://www.pymol.org
Source:		https://downloads.sourceforge.net/project/pymol/pymol/1.8/%name-v1.8.6.0.tar.xz
Source1:	%{name}.png
Patch0:		add_missing_math_linker.patch
Requires:	python-numpy
Requires:	python-numpy-f2py
Requires:	tcl
Requires:	tk
Requires:	tcsh
Requires:	tkinter
Requires:	python-pmw
BuildRequires:	imagemagick
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	%{_lib}msgpack-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libxml-2.0)

%description
PyMOL is a molecular graphics system with an embedded Python interpreter 
designed for real-time visualization and rapid generation of high-quality 
molecular graphics images and animations. It is fully extensible and 
available free to everyone via the "Python" license.  Although a newcomer 
to the field, PyMOL can already be used to generate stunning images and 
animations with unprecedented ease. It can also perform many other 
valuable tasks (such as editing PDB files) to assist you in your research.

%prep
%setup -qn %{name}
%patch0 -p1

%build
export CFLAGS=-fno-lto
export CC=gcc
export CXX=g++
python2 ./setup.py build

%install
python2 ./setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -R scripts data %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_bindir}
cat <<EOF >%{buildroot}%{_bindir}/%{name}
export PYMOL_DATA=/usr/share/pymol/data
export PYMOL_SCRIPTS=/usr/share/pymol/scripts
export PYMOL_PATH=/usr/bin/pymol

python2 %{python_sitearch}/pymol/__init__.py
EOF

# menu
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/pclos-%{name}.desktop
[Desktop Entry]
Name=PyMol
Comment=OpenGL based molecular visualization system
Exec=pymol
Icon=pymol
Type=Application
Categories=Education;Science;Chemistry;
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert %{SOURCE1} -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{SOURCE1} -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
cp %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc ChangeLog DEVELOPERS examples LICENSE README
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{python_sitearch}/*


%changelog
* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> 1.8.6.0-1pclos2017
- Build for PCLinuxOS
